MDVA-44188: E-Mails werden nicht an IDs gesendet, die ".- "

Der Patch MDVA-44188 behebt das Problem, dass E-Mails nicht an die E-Mail-IDs gesendet werden, die .-. Dieser Patch ist verfügbar, wenn die Variable Quality Patches Tool (QPT) 1.1.13 installiert ist. Die Patch-ID lautet MDVA-44188. Bitte beachten Sie, dass das Problem in Adobe Commerce 2.4.5 behoben sein soll.

Betroffene Produkte und Versionen

Der Patch wird für die Adobe Commerce-Version erstellt:

  • Adobe Commerce (alle Bereitstellungsmethoden) 2.4.3-p1

Kompatibel mit Adobe Commerce-Versionen:

  • Adobe Commerce (alle Bereitstellungsmethoden) 2.4.3 - 2.4.4
NOTE
Der Patch kann für andere Versionen mit den neuen Versionen des Quality Patches Tool angewendet werden. Um zu überprüfen, ob der Patch mit Ihrer Adobe Commerce-Version kompatibel ist, aktualisieren Sie die magento/quality-patches auf die neueste Version zu aktualisieren und die Kompatibilität mit dem Quality Patches Tool: Suchen Sie nach der Seite Patches .. Verwenden Sie die Patch-ID als Suchschlüsselwort, um den Patch zu finden.

Problem

E-Mails an E-Mail-IDs mit .- in ihren Benutzernamen ein.

Zu reproduzierende Schritte:

  1. Kunden mit einer E-Mail-Adresse registrieren, die .-. Beispiel: .-foo@example.com.
  2. Bestellung aufgeben.

Erwartete Ergebnisse:

Benutzer mit der E-Mail-ID, die .- empfängt wie gewohnt E-Mails.

Tatsächliche Ergebnisse:

E-Mail wird nicht an die E-Mail-ID gesendet, die .-. Der folgende Fehler wird in den Fehlerprotokollen angezeigt: Es konnte keine ungültige E-Mail-Adresse zur Mailingwarteschlange hinzugefügt werden.

Wenden Sie den Patch an

Verwenden Sie je nach Bereitstellungsmethode die folgenden Links, um einzelne Patches anzuwenden:

Verwandtes Lesen

Weitere Informationen zum Werkzeug für Qualitätsmuster finden Sie unter:

Weitere Informationen zu anderen in QPT verfügbaren Patches finden Sie unter In QPT verfügbare Patches in unserer Entwicklerdokumentation.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a